<!DOCTYPE html>
<html lang="es">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>vuejs.org | Rimorsoft Online</title>
    <!-- Latest compiled and minified CSS -->
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
      integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u"
      crossorigin="anonymous"
    />
  </head>
  <body>
    <div id="appVue">
      <div class="container">
        <div class="row">
          <div class="col-sm-6">
            <h1 v-if="lists.length > 0">Agregar una tarea</h1>
            <h1 v-else="lists">Crear una tarea</h1>
            <input
              type="text"
              class="form-control"
              v-model="newKeep"
              v-on:keyup.enter="addKeep"
            />
          </div>
          <div class="col-sm-6">
            <h1 v-if="lists.length > 0">Listado de tareas</h1>
            <h1 v-else="lists">No hay tareas registradas</h1>
            <ul class="list-group">
              <li
                class="list-group-item"
                v-for="item in lists"
                v-bind:class="item.completed == true ? 'disabled' : ''"
                @click="item.completed = ! item.completed"
              >
                {{ item.keep }}
              </li>
            </ul>
          </div>
          <div class="row">
            <div class="col-xs-12">
              <hr />
              <pre>
                {{ $data }}
            </pre
              >
            </div>
          </div>
        </div>
      </div>
    </div>

    <script src="vue.js"></script>
    <script src="script.js"></script>
  </body>
</html>
